Description: SPO256-AL2 Text-to-speech server
Name: speak
Version: 1.1
Release: 1
Source: tycho.com:/dist/speak-1.1.tar.gz
Copyright: distributable
Group: Networking/Daemons

%prep
%setup
./config --prefix=/usr

%build
make

%install
make install

%post
svc=/etc/services
base=speak
line=$base" 800/tcp # SPO256-AL2 Text-to-Speech Service"

grep "^$base" <$svc >/dev/null
if [ $? = 1 ] ; then
	echo $line >>$svc
fi

run=/etc/rc.d
base="speak"

if [ ! -d $run ] ; then
	exit 0
fi

if [ -d $run/init.d ] ; then
	levels=$run
	init='../init.d/speak.init'
	run=$run/init.d
	target='speak.init'
else
	target='rc.speak'
	levels='false'
fi

source='speak.init'

initial="10"

for level in "3" ; do
	runlvl=$levels'/rc'$level'.d'
	if [ ! -d $runlvl ] ; then
		continue
	fi
	cd $runlvl
	if [ -f S*$base ] ; then
		continue
	fi
	count=$initial
	while [ -f *$count* ] ; do
		count=$[count + 1]
	done
	target='S'$count$base
	ln -s $init $target
done

%files
%config /etc/speak.conf 
%config /etc/rc.d/init.d/speak.init
/usr/sbin/spo256
/usr/sbin/vmon
/usr/sbin/vstat
/usr/sbin/down
/usr/bin/say
/usr/bin/speak
/usr/man/man1/speak.1
/usr/man/man7/speak.conf.7
/usr/man/man8/spo256.8
/usr/man/man1/say.1
/usr/man/man8/vmon.8
/usr/man/man8/down.8


